﻿using ArTest.Test;
using System.Diagnostics; 

namespace ArTest
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var datasource = new[]
            {
                new DataSourceItem {
                    DetailField1 = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx x XXXXXXXXX XXXXXXXX XXX XXXX XXXXXXX XXXXX XXXXXXXXXX XXX XXXXXXX, XXXXXXX XX XXXXXXXXXXX XX XXXXXXX, XXXX XXXXX XXXXXXX XXXXX XXXXXXXXXX XXXXXXXXX XXXXXXX",
                    DetailField2 ="foo",
                    DetailField3 = null // Run call below will not hang if this Field has a non-empty string
                }
            };

            var report = new SampleReport(datasource);
            report.SetFontSizeAtRuntime(12);

            // Hangs on this call
            report.Run();
        }

    }
}