﻿using System.Collections.Generic;
using System.Drawing;
using GrapeCity.ActiveReports.SectionReportModel;

namespace ArTest.Test
{
    public partial class SampleReport 
    {
        public SampleReport(IEnumerable<DataSourceItem> dataSource)
        {
            InitializeComponent();
            DataSource = dataSource;
        }

        public void SetFontSizeAtRuntime(int newFontSize)
        {
            foreach (ARControl control in Detail.Controls)
            {
                if (control is TextBox textBox)
                {
                    textBox.Font = new Font(textBox.Font.FontFamily, newFontSize, textBox.Font.Style);
                }
            }
        }
    }
}